bl_info = {
    "name": "Quick Game UVs",
    "author": "Cancer > blenderartists.org",
    "version": (1, 3),
    "blender": (2, 76, 0),
    "location": "",
    "category": "3D View",
    "license": "GPLv3 http://www.gnu.org/licenses/gpl-3.0.en.html",
    }

import bpy

class QuickGameUVs(bpy.types.Operator):
    """Quick Game UV Script"""      # blender will use this as a tooltip for menu items and buttons.
    bl_idname = "object.quick_uv"        # unique identifier for buttons and menu items to reference.
    bl_label = "Quick Game UVs"         # display name in the interface.
    bl_options = {'REGISTER', 'UNDO'}  # enable undo for the operator.

    def execute(self, context):        # execute() is called by blender when running the operator.

        bpy.ops.object.mode_set(mode = 'OBJECT')

        for obj in bpy.context.selected_objects:

            bpy.context.scene.objects.active = obj
            
            bpy.ops.object.mode_set(mode = 'EDIT')
            bpy.ops.mesh.select_all(action='SELECT')
            bpy.ops.mesh.remove_doubles()
            bpy.ops.object.mode_set(mode = 'OBJECT')
            bpy.ops.object.modifier_add(type='EDGE_SPLIT')
            bpy.context.object.modifiers["EdgeSplit"].split_angle = 0.525344
            bpy.ops.object.modifier_apply(apply_as='DATA', modifier="EdgeSplit")
            bpy.ops.object.mode_set(mode = 'EDIT')
            bpy.ops.mesh.region_to_loop()
            bpy.ops.mesh.mark_seam(clear=False)
            bpy.ops.mesh.select_all(action='SELECT')
            bpy.ops.uv.unwrap(method='ANGLE_BASED', margin=0.02)
            bpy.ops.mesh.remove_doubles()
            bpy.ops.mesh.select_all(action='DESELECT')
            bpy.ops.object.mode_set(mode = 'OBJECT')
            

        return {'FINISHED'} 
        


def register():
    bpy.utils.register_class(QuickGameUVs)

def unregister():
    bpy.utils.unregister_class(QuickGameUVs)

# This allows you to run the script directly from blenders text editor
# to test the addon without having to install it.
if __name__ == "__main__":
    register()
    
def menu_draw(self, context):
    self.layout.operator("object.quick_uv")
    
bpy.types.VIEW3D_MT_uv_map.append(menu_draw)

def menu_draw(self, context):
    self.layout.operator("object.quick_uv")
    
bpy.types.VIEW3D_MT_make_single_user.append(menu_draw)